Manuel PHP
Précédent |  | Suivant

# DOMElement->setAttributeNode()

(no version information, might be only in CVS)

DOMElement->setAttributeNode() -- Ajoute un nouvel attribut à l'élément

## Description

class DOMElement {
DOMAttr setAttributeNode ( DOMAttr attr )
}

Ajoute un nouvel attribut attr à l'élément.

## Liste de paramètres

attr

  L'attribut.

## Valeurs de retour

Retourne l'ancien noeud si l'attribut a été placé ou `NULL`.

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Lancé si le noeud est en lecture seule.

## Voir aussi

DOMElement->hasAttribute()
DOMElement->getAttributeNode()
DOMElement->removeAttributeNode()

Précédent | Sommaire | Suivant
DOMElement->setAttribute() | Niveau supérieur | DOMElement->setAttributeNodeNS()